{% extends "base.html.twig" %}

{% block title %}{{ 'user.page_title'|trans }}{% endblock %}

{% block content %}

    <div class="row">
        <div class="col s12">
            <div class="card-panel">
                <div class="row">
                    <div class="input-field col s12">
                        <h4>{{ 'user.edit_user'|trans }}</h4>

                        <div id="set6" class="col s12">
                            {{ form_start(edit_form) }}
                                {{ form_errors(edit_form) }}

                                <div class="row">
                                    <div class="input-field col s12">
                                        {{ form_label(edit_form.username) }}
                                        {{ form_errors(edit_form.username) }}
                                        {{ form_widget(edit_form.username) }}
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="input-field col s12">
                                        {{ form_label(edit_form.email) }}
                                        {{ form_errors(edit_form.email) }}
                                        {{ form_widget(edit_form.email) }}
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="input-field col s12">
                                        {{ form_widget(edit_form.enabled) }}
                                        {{ form_label(edit_form.enabled) }}
                                        {{ form_errors(edit_form.enabled) }}
                                    </div>
                                </div>

                                <br/>

                                {{ form_widget(edit_form.save, {'attr': {'class': 'btn btn-success'}}) }}
                                {{ form_widget(edit_form._token) }}
                            </form>
                            {% if app.user.id != user.id %}
                            <div class="uk-margin-top">
                                <div class="alert alert-danger"><strong>Attention :</strong> Supprimer un utilisateur supprimera tous ses sites et ses domaines !
                                    <p>
                                        <a class="btn btn-danger" href="{{ path('user_delete', {'id': user.id}) }}">{{ 'user.form.delete'|trans }}</a>
                                    </p></div>
                            </div>
                            {% endif %}
                            <p><a class="btn btn-info" href="{{ path('user_index') }}">{{ 'user.form.back_to_list'|trans }}</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
